Index: uspace/lib/usbvirt/src/ipc_hc.c
===================================================================
--- uspace/lib/usbvirt/src/ipc_hc.c	(revision ae3a9413512275bb229f67ecbbb46ce1739a954a)
+++ uspace/lib/usbvirt/src/ipc_hc.c	(revision 34e1206ec4dc79f0592077e3ee270fba91d1eb9d)
@@ -61,13 +61,13 @@
 	if (!sess)
 		return EINVAL;
-	
+
 	if ((setup_buffer == NULL) || (setup_buffer_size == 0))
 		return EINVAL;
-	
+
 	if ((data_buffer == NULL) || (data_buffer_size == 0))
 		return EINVAL;
-	
+
 	async_exch_t *exch = async_exchange_begin(sess);
-	
+
 	aid_t opening_request = async_send_0(exch, IPC_M_USBVIRT_CONTROL_READ,
 	    NULL);
@@ -76,5 +76,5 @@
 		return ENOMEM;
 	}
-	
+
 	errno_t rc = async_data_write_start(exch, setup_buffer,
 	    setup_buffer_size);
@@ -84,21 +84,21 @@
 		return rc;
 	}
-	
+
 	ipc_call_t data_request_call;
 	aid_t data_request = async_data_read(exch, data_buffer,
 	    data_buffer_size, &data_request_call);
-	
+
 	async_exchange_end(exch);
-	
+
 	if (data_request == 0) {
 		async_forget(opening_request);
 		return ENOMEM;
 	}
-	
+
 	errno_t data_request_rc;
 	errno_t opening_request_rc;
 	async_wait_for(data_request, &data_request_rc);
 	async_wait_for(opening_request, &opening_request_rc);
-	
+
 	if (data_request_rc != EOK) {
 		/* Prefer the return code of the opening request. */
@@ -108,11 +108,11 @@
 			return (errno_t) data_request_rc;
 	}
-	
+
 	if (opening_request_rc != EOK)
 		return (errno_t) opening_request_rc;
-	
+
 	if (data_transferred_size != NULL)
 		*data_transferred_size = IPC_GET_ARG2(data_request_call);
-	
+
 	return EOK;
 }
@@ -135,13 +135,13 @@
 	if (!sess)
 		return EINVAL;
-	
+
 	if ((setup_buffer == NULL) || (setup_buffer_size == 0))
 		return EINVAL;
-	
+
 	if ((data_buffer_size > 0) && (data_buffer == NULL))
 		return EINVAL;
-	
+
 	async_exch_t *exch = async_exchange_begin(sess);
-	
+
 	aid_t opening_request = async_send_1(exch, IPC_M_USBVIRT_CONTROL_WRITE,
 	    data_buffer_size, NULL);
@@ -150,5 +150,5 @@
 		return ENOMEM;
 	}
-	
+
 	errno_t rc = async_data_write_start(exch, setup_buffer,
 	    setup_buffer_size);
@@ -158,5 +158,5 @@
 		return rc;
 	}
-	
+
 	if (data_buffer_size > 0) {
 		rc = async_data_write_start(exch, data_buffer,
@@ -168,10 +168,10 @@
 		}
 	}
-	
+
 	async_exchange_end(exch);
-	
+
 	errno_t opening_request_rc;
 	async_wait_for(opening_request, &opening_request_rc);
-	
+
 	return (errno_t) opening_request_rc;
 }
@@ -194,7 +194,7 @@
 	if (!sess)
 		return EINVAL;
-	
+
 	usbvirt_hc_to_device_method_t method;
-	
+
 	switch (tr_type) {
 	case USB_TRANSFER_INTERRUPT:
@@ -207,13 +207,13 @@
 		return EINVAL;
 	}
-	
+
 	if ((ep <= 0) || (ep >= USBVIRT_ENDPOINT_MAX))
 		return EINVAL;
-	
+
 	if ((data == NULL) || (data_size == 0))
 		return EINVAL;
-	
+
 	async_exch_t *exch = async_exchange_begin(sess);
-	
+
 	aid_t opening_request = async_send_2(exch, method, ep, tr_type, NULL);
 	if (opening_request == 0) {
@@ -221,21 +221,21 @@
 		return ENOMEM;
 	}
-	
+
 	ipc_call_t data_request_call;
 	aid_t data_request = async_data_read(exch, data, data_size,
 	    &data_request_call);
-	
+
 	async_exchange_end(exch);
-	
+
 	if (data_request == 0) {
 		async_forget(opening_request);
 		return ENOMEM;
 	}
-	
+
 	errno_t data_request_rc;
 	errno_t opening_request_rc;
 	async_wait_for(data_request, &data_request_rc);
 	async_wait_for(opening_request, &opening_request_rc);
-	
+
 	if (data_request_rc != EOK) {
 		/* Prefer the return code of the opening request. */
@@ -245,11 +245,11 @@
 			return (errno_t) data_request_rc;
 	}
-	
+
 	if (opening_request_rc != EOK)
 		return (errno_t) opening_request_rc;
-	
+
 	if (act_size != NULL)
 		*act_size = IPC_GET_ARG2(data_request_call);
-	
+
 	return EOK;
 }
@@ -271,7 +271,7 @@
 	if (!sess)
 		return EINVAL;
-	
+
 	usbvirt_hc_to_device_method_t method;
-	
+
 	switch (tr_type) {
 	case USB_TRANSFER_INTERRUPT:
@@ -284,13 +284,13 @@
 		return EINVAL;
 	}
-	
+
 	if ((ep <= 0) || (ep >= USBVIRT_ENDPOINT_MAX))
 		return EINVAL;
-	
+
 	if ((data == NULL) || (data_size == 0))
 		return EINVAL;
-	
+
 	async_exch_t *exch = async_exchange_begin(sess);
-	
+
 	aid_t opening_request = async_send_1(exch, method, ep, NULL);
 	if (opening_request == 0) {
@@ -298,17 +298,17 @@
 		return ENOMEM;
 	}
-	
+
 	errno_t rc = async_data_write_start(exch, data, data_size);
-	
+
 	async_exchange_end(exch);
-	
+
 	if (rc != EOK) {
 		async_forget(opening_request);
 		return rc;
 	}
-	
+
 	errno_t opening_request_rc;
 	async_wait_for(opening_request, &opening_request_rc);
-	
+
 	return (errno_t) opening_request_rc;
 }
